@import 'libs/shared/assets/src/global-style/color';
:host ::ng-deep {
  width: 100%;
}
.container {
  max-width: 100%;
  height: 100%;
}
.user-log {
  display: flex;
  padding: 24px 18px;
  background: $white-color;
  margin: 0 1.5rem;
  border-radius: 14px;
  &__pointer {
    cursor: pointer;
  }
  &__title {
    margin-left: 12px;
    margin-bottom: 0px;
  }
}
.user-log-card {
  margin: 0px 24px 12px 24px;
  border-radius: 16px;
  &__row {
    margin-top: 16px;
  }
  &__left {
    padding-left: 15px;
    &__above {
      padding-top: 4px;
      padding-left: 15px;
    }
    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 44px;
          display: flex;
          align-items: center;
        }
        .ant-select-selection-search-input {
          height: 100% !important;
        }
      }
    }
    &__label {
      font-size: 14px;
      color: $label-color;
      line-height: 26px;
      font-weight: bold;
    }
    &__input {
      width: 100%;
      border-radius: 10px !important;
      min-height: 44px;
    }
    &__input:hover,
    &__input:focus,
    &__input::selection {
      border: 1px solid $primary-button-color;
    }
    &__button {
      display: flex;
      justify-content: center;
    }
    &__button-primary {
      border-radius: 8px;
      display: flex;
      min-width: 174px;
      justify-content: center;
      align-items: center;
      padding: 6px 24px 6px 24px;
      font-size: 14px;
      min-height: 45px;
      background: $background-primary-button-color;
      color: $primary-button-color;
      font-weight: 600;
      border: initial;
      span {
        margin: 0px 4px;
      }
    }
    &__button-excel {
      border-radius: 6px;
      display: flex;
      align-items: center;
      padding: 8px 10px;
      font-size: 14px;
      min-height: 45px;
      background: $white-color;
      border: 1px solid $background-primary-button-color;
      margin-left: 3rem;
      font-weight: 600;
      min-width: 36px;
      color: $primary-button-color;
    }
    &__button-action {
      height: 2.5rem;
      width: 2.5rem;
      padding: unset;
      display: block;
      em {
        font-size: 20px;
      }
    }
  }
}

.data-table {
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .row-table:hover > td {
    background: $hover-table-row;
  }
}
